# 32/64 specfile
#
Name:		dupeclean-gui
Version:	0.2
Release:	%mkrel 1
Summary:	GUI for the dupeclean utility
Summary(de):	GUI für das dupeclean Anwendung
URL:		http://pclinuxos.com
Source:		http://pclinuxos.com/%{name}-%{version}.tar.xz
Group:		System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	LGPLv2+
Requires:       zenity
Requires:       dupeclean
BuildArch:	noarch

%description
A graphical interface to dupeclean, the utility for
cleaning duplicate RPMs from your system.
Written by Pinoc for PCLinuxOS


#german
%description -l de
Eine grafische Schnittstelle zu dupeclean, die Anwendung
zum reinigen von doppelten Einträge in RPM's Paketesystem.
Geschrieben von Pinoc für PCLinuxOS.


%prep
%setup -q

%build
%install
rm -Rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 0755 dupeclean-gui %{buildroot}/%{_bindir}/dupeclean-gui
install -m 0644 %{name}.desktop %{buildroot}/%{_datadir}/applications
install -m 0644 dupeclean.png %{buildroot}/%{_datadir}/pixmaps

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po


%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%{_bindir}/dupeclean-gui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%changelog
* Tue Jun 11 2013 pinoc <vogtpet at gmail.com> 0.2-1pclos2013
- added validating/fixing the rpm-database
- fix to show dupeclean result 

* Fri Mar 30 2012 pinoc <vogtpet at gmail.com> 0.1-7pclos2012
- unified spec-file for 32/64
- noarch rpm

* Wed Sep 21 2011 leiche <meisssw01 at gmail.com> 0.1-6leiche2011
- add german language, translated by ghostbunny
 
* Sat May 28 2011 Texstar <texstar at gmail.com> 0.1-5pclos2011
- fix description of program, permission on desktop file and wording

* Thu Dec 17 2009 Texstar <texstar at gmail.com> 0.1-4pclos2010
- fix menu to show in KDE again

* Sun Dec 13 2009 slick50 <lxgator at gmail.com> 0.1-3pclos2010
- fix menu to show in gnome

* Tue Dec 02 2009 Texstar <texstar at gmail.com> 0.1-2pclos2010
- small fixes from pinoc

* Sat Nov 28 2009 Neal <nealbrks0 at gmail.com> 0.1-1pclos2010
- Gui for dupeclean provided by pinoc

